namespace OpenWarehouse.warehouse.api.Common.Producer;

public interface IProducerManager
{
    public Task<Producers?> FindProducerByName(string name);
    public Task<Producers?> FindProducerById(Guid? guid);
    public Task<List<Producers>> GetProducerList();
    
    public Task<bool> DeleteProducerByName(string name);
    public Task<List<Claim>> GetClaims(Producers producers);
    public Task<ActionResult> CreateAsync(Producers producers);
    public Task<ActionResult> AddClaim(Producers producers, Claim claim);
    public Task<ActionResult> DeleteClaim(Producers producers, string claimType);
    public Task<ActionResult> UpdateClaim(Producers producers, Claim claim);
}